 SUBROUTINE user_check_data_output( variable, unit )

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! Former file user_interface.f90 split into one file per subroutine
!
! Former revisions:
! -----------------
! $Id: user_check_data_output.f90 211 2008-11-11 04:46:24Z raasch $
!
! Description:
! ------------
! Set the unit of user defined output quantities. For those variables
! not recognized by the user, the parameter unit is set to "illegal", which
! tells the calling routine that the output variable is not defined and leads
! to a program abort.
!------------------------------------------------------------------------------!

    USE user

    IMPLICIT NONE

    CHARACTER (LEN=*) ::  unit, variable


    SELECT CASE ( TRIM( variable ) )

!
!--    Uncomment and extend the following lines, if necessary
!       CASE ( 'u2' )
!          unit = 'm2/s2'
!
!       CASE ( 'u*v*' )
!          unit = 'm2/s2'
!
       CASE DEFAULT
          unit = 'illegal'

    END SELECT


 END SUBROUTINE user_check_data_output

