 SUBROUTINE user_init_grid( gls, nzb_local )

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! Former file user_interface.f90 split into one file per subroutine
!
! Former revisions:
! -----------------
! $Id: user_init_grid.f90 211 2008-11-11 04:46:24Z raasch $
!
! Description:
! ------------
! Execution of user-defined grid initializing actions
! First argument gls contains the number of ghost layers, which is > 1 if the
! multigrid method for the pressure solver is used
!------------------------------------------------------------------------------!

    USE control_parameters
    USE indices
    USE user

    IMPLICIT NONE

    INTEGER ::  gls

    INTEGER, DIMENSION(-gls:ny+gls,-gls:nx+gls) ::  nzb_local

!
!-- Here the user-defined grid initializing actions follow:

!
!-- Set the index array nzb_local for non-flat topography.
!-- Here consistency checks concerning domain size and periodicity are necessary
    SELECT CASE ( TRIM( topography ) )

       CASE ( 'flat', 'single_building' )
!
!--       Not allowed here since these are the standard cases used in init_grid.

       CASE ( 'user_defined_topography_1' )
!
!--       Here the user can define his own topography. After definition, please
!--       remove the following three lines!
          PRINT*, '+++ user_init_grid: topography "', &
               topography, '" not available yet'
          CALL local_stop

       CASE DEFAULT
!
!--       The DEFAULT case is reached if the parameter topography contains a
!--       wrong character string that is neither recognized in init_grid nor 
!--       here in user_init_grid.
          PRINT*, '+++ (user_)init_grid: unknown topography "', &
               topography, '"'
          CALL local_stop

    END SELECT


 END SUBROUTINE user_init_grid

